Skip to main content
`Ctrl`+`K`

# pandas.StringDtype

class pandas.StringDtype(storage=None)

  Extension dtype for string data.

  Warning

  StringDtype is considered experimental. The implementation and parts of the API may change without warning.

  Parameters:
    storage{“python”, “pyarrow”, “pyarrow_numpy”}, optional

      If not given, the value of `pd.options.mode.string_storage`.

  Attributes

  None |

  Methods

  None |

  Examples

      >>> pd.StringDtype()
      string[python]

      >>> pd.StringDtype(storage="pyarrow")
      string[pyarrow]